[arch-commits] Commit in hplip/repos (8 files)

Bartłomiej Piotrowski bpiotrowski at archlinux.org
Mon Dec 7 01:28:46 UTC 2015


    Date: Monday, December 7, 2015 @ 02:28:43
  Author: bpiotrowski
Revision: 253148

archrelease: copy trunk to staging-i686, staging-x86_64

Added:
  hplip/repos/staging-i686/
  hplip/repos/staging-i686/PKGBUILD
    (from rev 253147, hplip/trunk/PKGBUILD)
  hplip/repos/staging-i686/disable_upgrade.patch
    (from rev 253147, hplip/trunk/disable_upgrade.patch)
  hplip/repos/staging-i686/hplip.install
    (from rev 253147, hplip/trunk/hplip.install)
  hplip/repos/staging-x86_64/
  hplip/repos/staging-x86_64/PKGBUILD
    (from rev 253147, hplip/trunk/PKGBUILD)
  hplip/repos/staging-x86_64/disable_upgrade.patch
    (from rev 253147, hplip/trunk/disable_upgrade.patch)
  hplip/repos/staging-x86_64/hplip.install
    (from rev 253147, hplip/trunk/hplip.install)

--------------------------------------+
 staging-i686/PKGBUILD                |   84 +++++++++++++++++++++++++++++++++
 staging-i686/disable_upgrade.patch   |   14 +++++
 staging-i686/hplip.install           |   18 +++++++
 staging-x86_64/PKGBUILD              |   84 +++++++++++++++++++++++++++++++++
 staging-x86_64/disable_upgrade.patch |   14 +++++
 staging-x86_64/hplip.install         |   18 +++++++
 6 files changed, 232 insertions(+)

Copied: hplip/repos/staging-i686/PKGBUILD (from rev 253147, hplip/trunk/PKGBUILD)
===================================================================
--- staging-i686/PKGBUILD	                        (rev 0)
+++ staging-i686/PKGBUILD	2015-12-07 01:28:43 UTC (rev 253148)
@@ -0,0 +1,84 @@
+# $Id$
+# Maintainer: Andreas Radke <andyrtr at archlinux.org>
+# Maintainer: Tom Gundersen <teg at jklm.no>
+# Contributor : Rémy Oudompheng <remy at archlinux.org>
+# Contributor: Morgan LEFIEUX <comete at archlinuxfr.org>
+
+pkgname=hplip
+pkgver=3.15.11
+pkgrel=2
+pkgdesc="Drivers for HP DeskJet, OfficeJet, Photosmart, Business Inkjet and some LaserJet"
+arch=('i686' 'x86_64')
+url="http://hplipopensource.com"
+license=('GPL')
+depends=('python' 'ghostscript>=8.64-6' 'net-snmp>=5.7.1' 'wget' 'foomatic-db-engine')
+makedepends=('python-pyqt4' 'python-gobject' 'sane' 'rpcbind' 'cups' 'libusb')
+optdepends=('cups: for printing support'
+            'python-dbus: for dbus support'
+            'sane: for scanner support'
+            'xsane: sane scanner frontend'
+            'python-pillow: for commandline scanning support'
+            'python-reportlab: for pdf output in hp-scan'
+            'rpcbind: for network support'
+            'python-pyqt4: for running GUI and hp-toolbox'
+            'python-gobject: for running hp-toolbox'
+            'hplip-plugin: binary blobs for specific devices (AUR) or run hp-setup to download the plugin'
+            'libusb: for advanced usb support')
+install=hplip.install
+source=(http://downloads.sourceforge.net/${pkgname}/$pkgname-$pkgver.tar.gz{,.asc}
+        disable_upgrade.patch)
+sha1sums=('c28f373e85a1355c10c3112e1274138372a9c832'
+          'SKIP'
+          '2348bcbca0c52dc09cceb47ed13281a4ccb9d83e')
+validpgpkeys=('4ABA2F66DBD5A95894910E0673D770CDA59047B9') # HPLIP (HP Linux Imaging and Printing) <hplip at hp.com>
+
+prepare() {
+ cd $pkgname-$pkgver
+ 
+ # disable insecure update - https://bugs.archlinux.org/task/38083
+ patch -Np0 -i ${srcdir}/disable_upgrade.patch
+ 
+ # https://bugs.archlinux.org/task/30085 - hack found in Gentoo
+ # Use system foomatic-rip for hpijs driver instead of foomatic-rip-hplip
+ # The hpcups driver does not use foomatic-rip
+	local i
+	for i in ppd/hpijs/*.ppd.gz ; do
+		rm -f ${i}.temp
+		gunzip -c ${i} | sed 's/foomatic-rip-hplip/foomatic-rip/g' | \
+			gzip > ${i}.temp || return 1
+		mv ${i}.temp ${i}
+	done
+   
+ export AUTOMAKE='automake --foreign'
+ autoreconf --force --install
+}
+
+build() {
+ cd $pkgname-$pkgver
+ ./configure --prefix=/usr \
+             --enable-qt4 \
+             --disable-foomatic-rip-hplip-install \
+             --enable-foomatic-ppd-install \
+             --enable-hpcups-install \
+             --enable-new-hpcups \
+             --enable-cups-ppd-install \
+             --enable-cups-drv-install \
+             --enable-hpijs-install \
+             --enable-foomatic-drv-install \
+             --enable-pp-build #--help
+ make
+}
+
+package() {
+ cd $pkgname-$pkgver
+ make -j1 rulesdir=/usr/lib/udev/rules.d DESTDIR="$pkgdir/" install
+ 
+ # remove config provided by sane and autostart of hp-daemon
+ rm -rf "$pkgdir"/etc/{sane.d,xdg}
+ 
+ # remove HAL .fdi file because HAL is no longer used
+ rm -vrf "$pkgdir"/usr/share/hal
+ 
+ # remove rc script
+ rm -vrf "$pkgdir"/etc/init.d
+}

Copied: hplip/repos/staging-i686/disable_upgrade.patch (from rev 253147, hplip/trunk/disable_upgrade.patch)
===================================================================
--- staging-i686/disable_upgrade.patch	                        (rev 0)
+++ staging-i686/disable_upgrade.patch	2015-12-07 01:28:43 UTC (rev 253148)
@@ -0,0 +1,14 @@
+--- upgrade.py.orig	2013-10-31 12:46:54.000000000 +0100
++++ upgrade.py	2013-12-04 14:58:03.000000000 +0100
+@@ -134,6 +134,11 @@ except getopt.GetoptError, e:
+ if os.getenv("HPLIP_DEBUG"):
+     log.set_level('debug')
+ 
++
++log.error("HPLIP upgrade is disabled by Archlinux for security reasons, see https://bugs.archlinux.org/task/38083 - if you like to upgrade HPLIP, use the Archlinux software package manager pacman.")
++clean_exit(1)
++
++
+ for o, a in opts:
+     if o in ('-h', '--help'):
+         usage()

Copied: hplip/repos/staging-i686/hplip.install (from rev 253147, hplip/trunk/hplip.install)
===================================================================
--- staging-i686/hplip.install	                        (rev 0)
+++ staging-i686/hplip.install	2015-12-07 01:28:43 UTC (rev 253148)
@@ -0,0 +1,18 @@
+post_install() {
+  cat << EOF
+
+NOTE
+----
+# If you want to use this driver with sane:
+#  echo "hpaio" >> /etc/sane.d/dll.conf
+
+EOF
+}
+
+post_upgrade() {
+  if [ "`vercmp $2 3.12.4-2`" -lt 0 ]; then
+    # important upgrade notice
+    echo "> Please remove your printer in cups, then add it"
+    echo "> back and reconfigure it to make it work again!"
+  fi
+}

Copied: hplip/repos/staging-x86_64/PKGBUILD (from rev 253147, hplip/trunk/PKGBUILD)
===================================================================
--- staging-x86_64/PKGBUILD	                        (rev 0)
+++ staging-x86_64/PKGBUILD	2015-12-07 01:28:43 UTC (rev 253148)
@@ -0,0 +1,84 @@
+# $Id$
+# Maintainer: Andreas Radke <andyrtr at archlinux.org>
+# Maintainer: Tom Gundersen <teg at jklm.no>
+# Contributor : Rémy Oudompheng <remy at archlinux.org>
+# Contributor: Morgan LEFIEUX <comete at archlinuxfr.org>
+
+pkgname=hplip
+pkgver=3.15.11
+pkgrel=2
+pkgdesc="Drivers for HP DeskJet, OfficeJet, Photosmart, Business Inkjet and some LaserJet"
+arch=('i686' 'x86_64')
+url="http://hplipopensource.com"
+license=('GPL')
+depends=('python' 'ghostscript>=8.64-6' 'net-snmp>=5.7.1' 'wget' 'foomatic-db-engine')
+makedepends=('python-pyqt4' 'python-gobject' 'sane' 'rpcbind' 'cups' 'libusb')
+optdepends=('cups: for printing support'
+            'python-dbus: for dbus support'
+            'sane: for scanner support'
+            'xsane: sane scanner frontend'
+            'python-pillow: for commandline scanning support'
+            'python-reportlab: for pdf output in hp-scan'
+            'rpcbind: for network support'
+            'python-pyqt4: for running GUI and hp-toolbox'
+            'python-gobject: for running hp-toolbox'
+            'hplip-plugin: binary blobs for specific devices (AUR) or run hp-setup to download the plugin'
+            'libusb: for advanced usb support')
+install=hplip.install
+source=(http://downloads.sourceforge.net/${pkgname}/$pkgname-$pkgver.tar.gz{,.asc}
+        disable_upgrade.patch)
+sha1sums=('c28f373e85a1355c10c3112e1274138372a9c832'
+          'SKIP'
+          '2348bcbca0c52dc09cceb47ed13281a4ccb9d83e')
+validpgpkeys=('4ABA2F66DBD5A95894910E0673D770CDA59047B9') # HPLIP (HP Linux Imaging and Printing) <hplip at hp.com>
+
+prepare() {
+ cd $pkgname-$pkgver
+ 
+ # disable insecure update - https://bugs.archlinux.org/task/38083
+ patch -Np0 -i ${srcdir}/disable_upgrade.patch
+ 
+ # https://bugs.archlinux.org/task/30085 - hack found in Gentoo
+ # Use system foomatic-rip for hpijs driver instead of foomatic-rip-hplip
+ # The hpcups driver does not use foomatic-rip
+	local i
+	for i in ppd/hpijs/*.ppd.gz ; do
+		rm -f ${i}.temp
+		gunzip -c ${i} | sed 's/foomatic-rip-hplip/foomatic-rip/g' | \
+			gzip > ${i}.temp || return 1
+		mv ${i}.temp ${i}
+	done
+   
+ export AUTOMAKE='automake --foreign'
+ autoreconf --force --install
+}
+
+build() {
+ cd $pkgname-$pkgver
+ ./configure --prefix=/usr \
+             --enable-qt4 \
+             --disable-foomatic-rip-hplip-install \
+             --enable-foomatic-ppd-install \
+             --enable-hpcups-install \
+             --enable-new-hpcups \
+             --enable-cups-ppd-install \
+             --enable-cups-drv-install \
+             --enable-hpijs-install \
+             --enable-foomatic-drv-install \
+             --enable-pp-build #--help
+ make
+}
+
+package() {
+ cd $pkgname-$pkgver
+ make -j1 rulesdir=/usr/lib/udev/rules.d DESTDIR="$pkgdir/" install
+ 
+ # remove config provided by sane and autostart of hp-daemon
+ rm -rf "$pkgdir"/etc/{sane.d,xdg}
+ 
+ # remove HAL .fdi file because HAL is no longer used
+ rm -vrf "$pkgdir"/usr/share/hal
+ 
+ # remove rc script
+ rm -vrf "$pkgdir"/etc/init.d
+}

Copied: hplip/repos/staging-x86_64/disable_upgrade.patch (from rev 253147, hplip/trunk/disable_upgrade.patch)
===================================================================
--- staging-x86_64/disable_upgrade.patch	                        (rev 0)
+++ staging-x86_64/disable_upgrade.patch	2015-12-07 01:28:43 UTC (rev 253148)
@@ -0,0 +1,14 @@
+--- upgrade.py.orig	2013-10-31 12:46:54.000000000 +0100
++++ upgrade.py	2013-12-04 14:58:03.000000000 +0100
+@@ -134,6 +134,11 @@ except getopt.GetoptError, e:
+ if os.getenv("HPLIP_DEBUG"):
+     log.set_level('debug')
+ 
++
++log.error("HPLIP upgrade is disabled by Archlinux for security reasons, see https://bugs.archlinux.org/task/38083 - if you like to upgrade HPLIP, use the Archlinux software package manager pacman.")
++clean_exit(1)
++
++
+ for o, a in opts:
+     if o in ('-h', '--help'):
+         usage()

Copied: hplip/repos/staging-x86_64/hplip.install (from rev 253147, hplip/trunk/hplip.install)
===================================================================
--- staging-x86_64/hplip.install	                        (rev 0)
+++ staging-x86_64/hplip.install	2015-12-07 01:28:43 UTC (rev 253148)
@@ -0,0 +1,18 @@
+post_install() {
+  cat << EOF
+
+NOTE
+----
+# If you want to use this driver with sane:
+#  echo "hpaio" >> /etc/sane.d/dll.conf
+
+EOF
+}
+
+post_upgrade() {
+  if [ "`vercmp $2 3.12.4-2`" -lt 0 ]; then
+    # important upgrade notice
+    echo "> Please remove your printer in cups, then add it"
+    echo "> back and reconfigure it to make it work again!"
+  fi
+}



More information about the arch-commits mailing list